/**
 * Behavior to use when an iterator is overflowing.
 */
export var OverflowBehavior;
(function (OverflowBehavior) {
    /**
     * Drop the oldest event.
     */
    OverflowBehavior["DropOldest"] = "drop-oldest";
    /**
     * Drop the newest event.
     */
    OverflowBehavior["DropNewest"] = "drop-newest";
    /**
     * Block processing.
     *
     * *Warning*: This only works with {@link AsyncEvent} and {@link AsyncSubscribable}
     * and may lead to unintended side effects.
     */
    OverflowBehavior["Block"] = "block";
})(OverflowBehavior || (OverflowBehavior = {}));
//# sourceMappingURL=EventIteratorOptions.js.map